### Function

# AppStreamCompose component_get_source_icon

since: 1.2.0

#### Declaration [src]

    AsIcon*
    asc_component_get_source_icon (
      AsComponent* cpt
    )

#### Description [src]

Find the unprocessed icon that a component was created with, that is the icon reference that came straight from its metainfo or desktop-entry file. A stock icon is preferred, but a local one is accepted as well to accommodate for applications that used the “local” icon type wrong.

This is the icon that appstream-compose renders its icon set from. If `ASC_COMPOSE_FLAG_IGNORE_ICONS` is set, it is left on the component untouched, so that the caller can run its own icon processing on it.

Available since: 1.2.0

#### Parameters

`cpt`

  Type: `AsComponent`

  An `AsComponent` instance.

  The data is owned by the caller of the function.

#### Return value

Type: `AsIcon`

The source `AsIcon`, or `NULL` if the component has none.

The data is owned by the called function.
The return value can be `NULL`.